Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 604478 - sys-fs/snapraid-10.0 : device.c:(.text+<snip>): undefined reference to `minor'
Summary: sys-fs/snapraid-10.0 : device.c:(.text+<snip>): undefined reference to `minor'
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christoph Junghans
URL:
Whiteboard: ~arch only
Keywords:
Depends on:
Blocks: glibc-sysmacros
  Show dependency tree
 
Reported: 2017-01-03 09:06 UTC by Toralf Förster
Modified: 2018-04-27 23:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
config.log (config.log,102.21 KB, text/plain)
2017-01-03 09:06 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,177.16 KB, text/plain)
2017-01-03 09:06 UTC, Toralf Förster
Details
environment (environment,16.20 KB, text/plain)
2017-01-03 09:06 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,10.93 KB, application/x-bzip)
2017-01-03 09:06 UTC, Toralf Förster
Details
sys-fs:snapraid-10.0:20170103-004944.log (sys-fs:snapraid-10.0:20170103-004944.log,24.50 KB, text/plain)
2017-01-03 09:06 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-01-03 09:06:18 UTC
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -Wall -fno-omit-frame-pointer -fno-inline-functions-called-once -fno-inline-small-functions -rdynamic -pthread -Wall -Wextra -Wuninitialized -Wshadow  -Wl,-O1 -Wl,--as-needed -o snapraid raid/raid.o raid/check.o raid/module.o raid/tables.o raid/int.o raid/x86.o raid/intz.o raid/x86z.o raid/helper.o raid/memory.o raid/test.o raid/tag.o tommyds/tommy.o cmdline/snapraid.o cmdline/io.o cmdline/util.o cmdline/stream.o cmdline/support.o cmdline/elem.o cmdline/state.o cmdline/scan.o cmdline/sync.o cmdline/check.o cmdline/dry.o cmdline/rehash.o cmdline/scrub.o cmdline/status.o cmdline/dup.o cmdline/list.o cmdline/pool.o cmdline/parity.o cmdline/handle.o cmdline/touch.o cmdline/device.o cmdline/fnmatch.o cmdline/selftest.o cmdline/speed.o cmdline/import.o cmdline/search.o cmdline/mingw.o cmdline/unix.o  -lblkid -lm 
cmdline/device.o: In function `state_device':
device.c:(.text+0x1302): undefined reference to `minor'

  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named plasma-unstable_20161230-211243) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  from make.conf:
USE="  pax_kernel xtpax -cdinstall -oci8 -bindist ssp bzip2 -dnssec gif gles graphtft imap -jadetex llvm mp3 mp4 mta networking obj odbc ogg openmpi scripts svg -system-jpeg thinkpad timidity tools wav xscreensaver"

gcc-config -l:
 [1] x86_64-pc-linux-gnu-5.4.0 *
llvm-config --version:
3.9.1
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
  [3]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.2.0 [icedtea-bin-8]
  -----------------------------------------------------------------



$ cat emerge-info.txt
Portage 2.3.3 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop/plasma, gcc-5.4.0, glibc-2.24, 4.8.15-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.8.15-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285560 total,  13130780 free
KiB Swap:   67108860 total,  67091616 free
Timestamp of repository gentoo: Mon, 02 Jan 2017 23:07:25 +0000
sh bash 4.4_p5-r1
ld GNU ld (Gentoo 2.27 p1.0) 2.27
app-shells/bash:          4.4_p5-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.7.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.23::gentoo
sys-apps/sandbox:         2.10-r3::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r2::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.27::gentoo
sys-devel/gcc:            5.4.0-r2::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.9::gentoo (virtual/os-headers)
sys-libs/glibc:           2.24::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

tinderbox
    location: /tmp/tb/data/portage
    masters: gentoo
    priority: 2

local
    location: /usr/local/portage
    masters: gentoo
    priority: 99

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -Wall"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /opt/openfire/resources/security/ /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit convert cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode exif fam ffmpeg firefox flac fortran gd gdbm gif glamor gles gpm graphtft gtk iconv icu imap ipv6 jpeg kde kipi lcms ldap libnotify llvm mad messages mikmod mmx mmxext mng mod modules mp3 mp4 mpeg mta multilib ncurses networking nls nptl obj odbc ogg opengl openmp openmpi pam pango pax_kernel pcre pdf phonon plasma png policykit ppds python qml qt3support qt4 qt5 readline scripts sdl seccomp semantic-desktop session spell sse sse2 ssl ssp startup-notification svc svg system-ffmpeg tcpd thinkpad tiff timidity tools truetype udev udisks unicode upower usb video vorbis wav widgets wxwidgets x264 xattr xcb xcomposite xinerama xml xscreensaver xtpax xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="bn de lv pt pt-BR" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2017-01-03 09:06:26 UTC
Created attachment 458474 [details]
config.log
Comment 2 Toralf Förster gentoo-dev 2017-01-03 09:06:29 UTC
Created attachment 458476 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-01-03 09:06:32 UTC
Created attachment 458478 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-01-03 09:06:35 UTC
Created attachment 458480 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-01-03 09:06:37 UTC
Created attachment 458482 [details]
sys-fs:snapraid-10.0:20170103-004944.log
Comment 6 Christoph Junghans gentoo-dev 2017-01-03 16:49:33 UTC
Can you check if it persists with snapraid-11?
Comment 7 Toralf Förster gentoo-dev 2017-01-03 18:43:50 UTC
(In reply to Christoph Junghans from comment #6)
sys-fs/snapraid-11.0 : device.c:(.text+<snip>): undefined reference to `minor'
Comment 8 Christoph Junghans gentoo-dev 2017-01-04 05:02:42 UTC
Can you try snapraid-11.0-r1 please?
Comment 9 Toralf Förster gentoo-dev 2017-01-04 09:14:56 UTC
fixed